<?php

if (empty($_REQUEST['manufacturer']) OR empty($_REQUEST['system']) OR empty($_REQUEST['type'])) {
    echo "<a href='search.php'>Drop-Down value(s) missing. Click here to go back to Search Page.</a>";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

$sql = ("SELECT device_id, name, price, manufacturer, system, type
         FROM devices, manufacturers, systems, types
         WHERE 
            manufacturers.manufacturer_id = devices.manufacturer_id
         AND
            systems.system_id = devices.system_id
         AND
            types.type_id = devices.type_id
         AND
            name LIKE '". '%' . $_REQUEST['devicename']. '%' . "'");

if($_REQUEST["manufacturer"] != "ALL") {
    $sql = $sql . "AND manufacturer = '" . $_REQUEST["manufacturer"] . "'";
}

if($_REQUEST["system"] != "ALL") {
    $sql = $sql . "AND system = '" . $_REQUEST["system"] . "'";
}

if($_REQUEST["type"] != "ALL") {
    $sql = $sql . "AND type = '" . $_REQUEST["type"] . "'";
}

$results = $mysql->query($sql);

?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">

        <?php
            echo "Your search returned " . $results->num_rows . " records"
        ?>

    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>

        <!--

        ****** SAMPLE OUTPUT ROW ******

        -->

        <?php while($currentrow = $results->fetch_assoc() ) { ?>

        <tr>

            <td>

                <?php
                    echo "<a href='details.php?device_id=" . $currentrow["device_id"] . "'>" .
                    $currentrow["name"] . "<br><br>";
                ?>

            </td>

            <td>

                <?php echo $currentrow["price"] . "<br><br>"; ?>

            </td>

            <td>

                <?php echo $currentrow["manufacturer"] . "<br><br>"; ?>

            </td>

            <td>

                <?php echo $currentrow["system"] . "<br><br>"; ?>

            </td>

            <td>

                <?php echo $currentrow["type"] . "<br><br>"; ?>

            </td>

        </tr>

        <?php } ?>

    </table>

</div>

</body>

</html>
